package twi

import (
	"github.com/gin-gonic/gin"
	"courseSign/server/api/v1"
	"courseSign/server/middleware"
)

type TwiActFinishDetailRouter struct {
}

// InitTwiActFinishDetailRouter 初始化 TwiActFinishDetail 路由信息
func (s *TwiActFinishDetailRouter) InitTwiActFinishDetailRouter(Router *gin.RouterGroup) {
	twiActFinishDetailRouter := Router.Group("twiActFinishDetail").Use(middleware.OperationRecord())
	twiActFinishDetailRouterWithoutRecord := Router.Group("twiActFinishDetail")
	var twiActFinishDetailApi = v1.ApiGroupApp.TwiApiGroup.TwiActFinishDetailApi
	{
		twiActFinishDetailRouter.POST("createTwiActFinishDetail", twiActFinishDetailApi.CreateTwiActFinishDetail)   // 新建TwiActFinishDetail
		twiActFinishDetailRouter.DELETE("deleteTwiActFinishDetail", twiActFinishDetailApi.DeleteTwiActFinishDetail) // 删除TwiActFinishDetail
		twiActFinishDetailRouter.DELETE("deleteTwiActFinishDetailByIds", twiActFinishDetailApi.DeleteTwiActFinishDetailByIds) // 批量删除TwiActFinishDetail
		twiActFinishDetailRouter.PUT("updateTwiActFinishDetail", twiActFinishDetailApi.UpdateTwiActFinishDetail)    // 更新TwiActFinishDetail
		//twiActFinishDetailRouter.POST("verify", twiActFinishDetailApi.Verify)    // 验证任务
	}
	{
		twiActFinishDetailRouterWithoutRecord.GET("findTwiActFinishDetail", twiActFinishDetailApi.FindTwiActFinishDetail)        // 根据ID获取TwiActFinishDetail
		twiActFinishDetailRouterWithoutRecord.GET("getTwiActFinishDetailList", twiActFinishDetailApi.GetTwiActFinishDetailList)  // 获取TwiActFinishDetail列表
	}
}

// InitTwiActFinishDetailWebRouter 初始化 TwiActFinishDetail 路由信息
func (s *TwiActFinishDetailRouter) InitTwiActFinishDetailWebRouter(Router *gin.RouterGroup) {
	twiActFinishDetailRouterWithoutRecord := Router.Group("twiActFinishDetail")
	var twiActFinishDetailApi = v1.ApiGroupApp.TwiApiGroup.TwiActFinishDetailApi
	{
		twiActFinishDetailRouterWithoutRecord.POST("verify", twiActFinishDetailApi.Verify)    // 验证任务
	}
}